Index: branches/dev_001_GM/NEMO/TOP_SRC/PISCES/trcini_pisces.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/PISCES/trcini.pisces.h90	(revision 764)
+++ branches/dev_001_GM/NEMO/TOP_SRC/PISCES/trcini_pisces.F90	(revision 766)
@@ -1,5 +1,6 @@
+MODULE trcini_pisces
    !!======================================================================
-   !!                         ***  trcini.pisces.h90  ***
-   !! TOP :   Initialisation of PISCES biological model
+   !!                         ***  MODULE trcini_pisces  ***
+   !! TOP :   initialisation of the PISCES biochemical model
    !!======================================================================
    !! History :    -   !  1988-07  (E. Maier-Reiner) Original code
@@ -7,11 +8,26 @@
    !!              -   !  2002     (O. Aumont)  PISCES
    !!             1.0  !  2005-03  (O. Aumont, A. El Moussaoui) F90
+   !!             2.0  !  2007-12  (C. Ethe, G. Madec) from trcini.pisces.h90
    !!----------------------------------------------------------------------
+#if defined key_trc_pisces  &&  defined key_trc_kriest
+   !!---------------------------------------------------------------------
+   !!   'key_trc_pisces' & 'key_trc_kriest'         PISCES bio-model + ???
+   !!---------------------------------------------------------------------
+   !! trc_ini_pisces   : PISCES biochemical model initialisation
+   !!----------------------------------------------------------------------
+   USE par_trc         ! TOP parameters
+   USE trccfc          ! CFC sms trends
+   USE iom
+
+   IMPLICIT NONE
+   PRIVATE
+
+   PUBLIC   trc_ini_pisces   ! called by trcini.F90 module
 
 #  include "domzgr_substitute.h90"
 #  include "passivetrc_substitute.h90"
    !!----------------------------------------------------------------------
-   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
-   !! $Id$ 
+   !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
+   !! $Id:$ 
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -19,15 +35,13 @@
 CONTAINS
 
-   SUBROUTINE trc_ini
+   SUBROUTINE trc_ini_pisces
       !!----------------------------------------------------------------------
-      !!                   ***  ROUTINE trc_ini ***
+      !!                   ***  ROUTINE trc_ini_pisces ***
       !!
-      !! ** Purpose :   Initialisation of PISCES biological and chemical variables
+      !! ** Purpose :   Initialisation of the PISCES biochemical model
       !!----------------------------------------------------------------------
-      USE iom
-      !!
-      INTEGER :: ji,jj,jk
-      INTEGER :: ichl,iband,jm
-      INTEGER , PARAMETER :: jpmois = 12, jpan   = 1 
+      INTEGER :: ji, jj, jk, jm
+      INTEGER :: ichl, iband
+      INTEGER , PARAMETER ::   jpmois = 12, jpan   = 1 
 
       REAL(wp) :: zcoef
@@ -49,6 +63,6 @@
 
       IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) ' trc_ini :   PISCES biological and chemical initialisation'
-      IF(lwp) WRITE(numout,*) ' ~~~~~~~'
+      IF(lwp) WRITE(numout,*) ' trc_ini_pisces :   PISCES biochemical model initialisation'
+      IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~~~~'
 
 
@@ -59,6 +73,6 @@
       rfact2r = 1. / rfact2
 
-      IF(lwp) WRITE(numout,*) '    Tracer  time step=', rfact, ' rdt = ', rdt
-      IF(lwp) write(numout,*) '    Biology time step=', rfact2
+      IF(lwp) WRITE(numout,*) '    Tracer  time step    rfact  = ', rfact, ' rdt = ', rdt
+      IF(lwp) write(numout,*) '    Biology time step    rfact2 = ', rfact2
 
 
@@ -542,3 +556,16 @@
       IF(lwp) WRITE(numout,*) ' Initialisation of PISCES done'
       !
-   END SUBROUTINE trc_ini
+   END SUBROUTINE trc_ini_pisces
+   
+#else
+   !!----------------------------------------------------------------------
+   !!   Dummy module                            No PISCES biochemical model
+   !!----------------------------------------------------------------------
+CONTAINS
+   SUBROUTINE trc_ini_pisces             ! Empty routine
+   END SUBROUTINE trc_ini_pisces
+#endif
+
+   !!======================================================================
+END MODULE trcini_pisces
+