Index: branches/dev_001_GM/NEMO/TOP_SRC/TRP/trctrp_lec.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/TRP/trctrp_lec.F90	(revision 768)
+++ branches/dev_001_GM/NEMO/TOP_SRC/TRP/trctrp_lec.F90	(revision 770)
@@ -4,9 +4,13 @@
    !! Ocean passive tracers:  namelist read options for transport
    !!==============================================================================
+   !! History :   1.0  !  2004-03  (C. Ethe)  Original code
+   !!             2.0  !  2007-12  (C. Ethe, G. Madec)  revised architecture
+   !!----------------------------------------------------------------------
 #if defined key_passivetrc
    !!----------------------------------------------------------------------
+   !!   'key_passivetrc'                                          TOP model
+   !!----------------------------------------------------------------------
    !!   trc_trp_lec  : read the passive tracer namelist for transport
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE oce_trc             ! ocean dynamics and active tracers variables
    USE trc                 ! ocean passive tracers variables
@@ -15,66 +19,57 @@
    PRIVATE
 
-   !! * Accessibility
-   PUBLIC trc_trp_lec     ! routine called by step module
+   PUBLIC   trc_trp_lec    ! routine called by step module
  
-   !! * Share module variables
-
-   !! Advection
-   LOGICAL, PUBLIC ::   &
-      ln_trcadv_cen2   = .FALSE. ,  & !!: 2nd order centered scheme flag
-      ln_trcadv_tvd    = .FALSE. ,  &  !: TVD scheme flag
-      ln_trcadv_muscl  = .FALSE. ,  &  !: MUSCL scheme flag
-      ln_trcadv_muscl2 = .FALSE. ,  &  !: MUSCL2 scheme flag
-      ln_trcadv_smolar = .TRUE.        !: Smolarkiewicz scheme flag
-
-   !! Bottom boundary layer
-   REAL(wp), PUBLIC ::        &  
-      atrcbbl = 1.e+3      ! lateral coeff. for bottom boundary layer scheme (m2/s)
-
-   !! Lateral diffusion
-   LOGICAL , PUBLIC ::              & !!: ** lateral mixing namelist (nam_trcldf) **
-      ln_trcldf_diff  = .FALSE. ,   &  !: flag of perform or not the lateral diff.
-      ln_trcldf_lap   = .TRUE.  ,   &  !: laplacian operator
-      ln_trcldf_bilap = .FALSE. ,   &  !: bilaplacian operator
-      ln_trcldf_level = .FALSE. ,   &  !: iso-level direction
-      ln_trcldf_hor   = .FALSE. ,   &  !: horizontal (geopotential) direction
-      ln_trcldf_iso   = .TRUE.         !: iso-neutral direction
-
-   LOGICAL , PUBLIC ::              & !!: flag of the lateral diff. scheme used
-      l_trcldf_lap         ,        &  !: iso-level laplacian operator
-      l_trcldf_bilap       ,        &  !: iso-level bilaplacian operator
-      l_trcldf_bilapg      ,        &  !: geopotential bilap. (s-coord)
-      l_trcldf_iso         ,        &  !: iso-neutral laplacian or horizontal lapacian (s-coord)
-      l_trczdf_iso         ,        &  !: idem for the vertical component
-      l_trczdf_iso_vo      ,        &  !: idem with vectopt_memory
-      l_trcldf_iso_zps                 !: iso-neutral laplacian (partial steps)
-
-   !! Vertical diffusion
-   LOGICAL , PUBLIC ::              & !!: nam_trczdf: vertical diffusion
-      ln_trczdf_exp = .FALSE.          !: explicit vertical diffusion scheme flag
-
-   INTEGER, PUBLIC ::               & !!: namzdf:  vertical diffusion
-      n_trczdf_exp = 3                 !: number of sub-time step (explicit time stepping)
-
-   LOGICAL, PUBLIC ::               &  !:
-      l_trczdf_exp     = .FALSE. ,  &  !: explicit vertical diffusion
-      l_trczdf_imp     = .FALSE.       !: implicit vertical diffusion
+   !                                                  !!: ** Advection (nam_traadv) **
+   LOGICAL , PUBLIC ::   ln_trcadv_cen2   = .FALSE.   !: 2nd order centered scheme flag
+   LOGICAL , PUBLIC ::   ln_trcadv_tvd    = .FALSE.   !: TVD scheme flag
+   LOGICAL , PUBLIC ::   ln_trcadv_muscl  = .FALSE.   !: MUSCL scheme flag
+   LOGICAL , PUBLIC ::   ln_trcadv_muscl2 = .FALSE.   !: MUSCL2 scheme flag
+   LOGICAL , PUBLIC ::   ln_trcadv_smolar = .TRUE.    !: Smolarkiewicz scheme flag
+
+   !                                                 !!: **  bottom boundary layer (nambbl) **
+   REAL(wp), PUBLIC ::   atrcbbl = 1.e+3              ! lateral coeff. for bottom boundary layer scheme (m2/s)
+
+   !                                                 !!: ** lateral mixing namelist (nam_trcldf) **
+   LOGICAL , PUBLIC ::   ln_trcldf_diff  = .FALSE.    !: flag of perform or not the lateral diff.
+   LOGICAL , PUBLIC ::   ln_trcldf_lap   = .TRUE.     !: laplacian operator
+   LOGICAL , PUBLIC ::   ln_trcldf_bilap = .FALSE.    !: bilaplacian operator
+   LOGICAL , PUBLIC ::   ln_trcldf_level = .FALSE.    !: iso-level direction
+   LOGICAL , PUBLIC ::   ln_trcldf_hor   = .FALSE.    !: horizontal (geopotential) direction
+   LOGICAL , PUBLIC ::   ln_trcldf_iso   = .TRUE.     !: iso-neutral direction
+
+   !                                                 !!: flag of the lateral diff. scheme used
+   LOGICAL , PUBLIC ::   l_trcldf_lap                 !: iso-level laplacian operator
+   LOGICAL , PUBLIC ::   l_trcldf_bilap               !: iso-level bilaplacian operator
+   LOGICAL , PUBLIC ::   l_trcldf_bilapg              !: geopotential bilap. (s-coord)
+   LOGICAL , PUBLIC ::   l_trcldf_iso                 !: iso-neutral laplacian or horizontal lapacian (s-coord)
+   LOGICAL , PUBLIC ::   l_trczdf_iso                 !: idem for the vertical component
+   LOGICAL , PUBLIC ::   l_trczdf_iso_vo              !: idem with vectopt_memory
+   LOGICAL , PUBLIC ::   l_trcldf_iso_zps             !: iso-neutral laplacian (partial steps)
+
+   !                                                 !!: ** Vertical diffusion (nam_trczdf) **
+   LOGICAL , PUBLIC ::   ln_trczdf_exp = .FALSE.      !: explicit vertical diffusion scheme flag
+
+   !                                                 !!: ** vertical diffusion (namzdf) **
+   INTEGER , PUBLIC ::   n_trczdf_exp = 3             !: number of sub-time step (explicit time stepping)
+
+   LOGICAL , PUBLIC ::   l_trczdf_exp     = .FALSE.   !: explicit vertical diffusion
+   LOGICAL , PUBLIC ::   l_trczdf_imp     = .FALSE.   !: implicit vertical diffusion
 
 #if defined key_trcdmp
-   !! Newtonian damping
-   INTEGER  , PUBLIC ::             & !!: * newtonian damping namelist (nam_trcdmp) *
-      ndmptr   =   -1 ,             &  !: = 0/-1/'latitude' for damping over tracers
-      ndmpftr  =    2 ,             &  !: = 1 create a damping.coeff NetCDF file 
-      nmldmptr =    0                  !: = 0/1/2 flag for damping in the mixed layer
-
-   REAL(wp) , PUBLIC ::             & !!:  * newtonian damping namelist *
-      sdmptr   =   50.,             &  !: surface time scale for internal damping (days)
-      bdmptr   =  360.,             &  !: bottom time scale for internal damping (days)
-      hdmptr   =  800.                 !: depth of transition between sdmp and bdmp (meters)
-#endif
-   !!----------------------------------------------------------------------
-   !!   TOP 1.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !                                                 !!: ** newtonian damping namelist (nam_trcdmp) **
+   INTEGER  , PUBLIC ::   ndmptr   =   -1             !: = 0/-1/'latitude' for damping over tracers
+   INTEGER  , PUBLIC ::   ndmpftr  =    2             !: = 1 create a damping.coeff NetCDF file 
+   INTEGER  , PUBLIC ::   nmldmptr =    0             !: = 0/1/2 flag for damping in the mixed layer
+
+   !                                                 !!: ** newtonian damping (namdmp) **
+   REAL(wp) , PUBLIC ::   sdmptr   =   50.            !: surface time scale for internal damping (days)
+   REAL(wp) , PUBLIC ::   bdmptr   =  360.            !: bottom time scale for internal damping (days)
+   REAL(wp) , PUBLIC ::   hdmptr   =  800.            !: depth of transition between sdmp and bdmp (meters)
+#endif
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
+   !! $Id$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -82,27 +77,18 @@
 
    SUBROUTINE trc_trp_lec
-      !!---------------------------------------------------------------------
+      !!----------------------------------------------------------------------
       !!                  ***  ROUTINE trc_trp_lec  ***
       !!                
       !! ** Purpose :   Read Namelist for tracer transport option
-      !!
-      !! History :
-      !!   9.0  !  04-03  (C. Ethe) 
       !!----------------------------------------------------------------------
-      !! * Local declarations
-
       NAMELIST/namtrcadv/ ln_trcadv_cen2 , ln_trcadv_tvd,   &
          &                 ln_trcadv_muscl, ln_trcadv_muscl2, ln_trcadv_smolar
-
 #if  defined key_trcbbl_dif   ||   defined key_trcbbl_adv 
       NAMELIST/namtrcbbl/ atrcbbl
 #endif
-
       NAMELIST/namtrcldf/  ln_trcldf_diff  , ln_trcldf_lap  , ln_trcldf_bilap, &
          &                 ln_trcldf_level, ln_trcldf_hor, ln_trcldf_iso,   &
          &                 ahtrc0, ahtrb0, aeivtr0, trcrat
-
       NAMELIST/namtrczdf/ ln_trczdf_exp, n_trczdf_exp
-
 #if defined key_trcdmp
       NAMELIST/namtrcdmp/ ndmptr, ndmpftr, nmldmptr, sdmptr, bdmptr, hdmptr
@@ -112,6 +98,6 @@
       ! Read Namelist namtrcadv : tracer advection scheme
       ! -------------------------
-      REWIND ( numnat )
-      READ   ( numnat, namtrcadv )
+      REWIND( numnat )
+      READ  ( numnat, namtrcadv )
 
       ! Parameter control and print
@@ -134,6 +120,6 @@
       ! Read Namelist namtrcbbl : Bottom boundary layer coef
       ! --------------------------------------------------
-      REWIND ( numnat )
-      READ   ( numnat, namtrcbbl )
+      REWIND( numnat )
+      READ  ( numnat, namtrcbbl )
 
       ! Parameter control and print
@@ -144,5 +130,5 @@
          WRITE(numout,*) ' bottom boundary layer coef.    atrcbbl = ', atrcbbl
 # if defined key_trcbbl_adv
-            WRITE(numout,*) ' * Advective Bottom Boundary Layer'
+         WRITE(numout,*) ' * Advective Bottom Boundary Layer'
 # endif
          WRITE(numout,*)
@@ -193,9 +179,7 @@
       ! Read Namelist namtdp : passive tracres damping term
       ! --------------------
-      REWIND ( numnat )
-      READ   ( numnat, namtrcdmp )
-      IF( lzoom ) THEN
-         nmldmptr = 0           ! restoring to climatology at closed north or south boundaries
-      ENDIF
+      REWIND( numnat )
+      READ  ( numnat, namtrcdmp )
+      IF( lzoom )   nmldmptr = 0      ! restoring to climatology at closed north or south boundaries
 
       ! Parameter control and print
@@ -206,5 +190,4 @@
          WRITE(numout,*) '~~~~~~~'
          WRITE(numout,*) '          Namelist namtrcdmp : set damping parameter'
-         WRITE(numout,*)
          WRITE(numout,*) '             tracers damping option         ndmptr   = ', ndmptr
          WRITE(numout,*) '             create a damping.coeff file    ndmpftr  = ', ndmpftr
@@ -215,11 +198,11 @@
          WRITE(numout,*)
       ENDIF
-
-#endif
-
+#endif
+      !
    END SUBROUTINE trc_trp_lec
+   
 #else
    !!----------------------------------------------------------------------
-   !!   Dummy module :                      NO passive tracer
+   !!   Dummy module :                                         No TOP model
    !!----------------------------------------------------------------------
 CONTAINS
@@ -227,4 +210,5 @@
    END SUBROUTINE trc_trp_lec
 #endif
+
   !!======================================================================
 END MODULE trctrp_lec