Index: /branches/dev_001_GM/NEMO/TOP_SRC/PISCES/trcini_pisces.F90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/PISCES/trcini_pisces.F90	(revision 772)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/PISCES/trcini_pisces.F90	(revision 773)
@@ -19,4 +19,7 @@
    USE trccfc          ! CFC sms trends
    USE sms             ! Source Minus Sink variables
+   USE oce_trc         ! ocean variables
+   USE trp_trc         !
+
    USE iom
 
@@ -179,5 +182,5 @@
       DO jj = 2 , jpjm1
          DO ji = 2, jpim1
-            zcoef = e1t(ji,jj) * e2t(ji,jj) * fse3t(ji,jj,1)) * tmask(ji,jj,1) * tmask_i(ji,jj) * raass
+            zcoef = e1t(ji,jj) * e2t(ji,jj) * fse3t(ji,jj,1) * tmask(ji,jj,1) * tmask_i(ji,jj) * raass
             rivpo4input = rivpo4input + rivinp(ji,jj) * zcoef
             rivalkinput = rivalkinput + cotdep(ji,jj) * zcoef
Index: /branches/dev_001_GM/NEMO/TOP_SRC/PISCES/trclsm_pisces.F90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/PISCES/trclsm_pisces.F90	(revision 772)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/PISCES/trclsm_pisces.F90	(revision 773)
@@ -1,6 +1,7 @@
-   !!----------------------------------------------------------------------
-   !!                     ***  trclsm.pisces.h90  ***  
-   !! TOP :   Definition some run parameter for PISCES biological model
-   !!----------------------------------------------------------------------
+MODULE trclsm_pisces
+   !!======================================================================
+   !!                      ***  MODULE trclsm_lobster  ***
+   !! TOP :   initialisation of some run parameters for PISCES bio-model
+   !!======================================================================
    !! History :    -   !  1999-10 (M.A. Foujols, M. Levy) original code
    !!              -   !  2000-01 (L. Bopp) hamocc3, p3zd
Index: /branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcadv_tvd.F90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcadv_tvd.F90	(revision 772)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcadv_tvd.F90	(revision 773)
@@ -72,5 +72,4 @@
       !! * Local declarations
       INTEGER  ::   ji, jj, jk,jn           ! dummy loop indices
-      REAL(wp) ::   ztra                    ! temporary scalar
 
       REAL(wp), DIMENSION(jpi,jpj,jpk) ::   &
Index: /branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcnxt.F90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcnxt.F90	(revision 772)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcnxt.F90	(revision 773)
@@ -70,6 +70,6 @@
       INTEGER, INTENT( in ) ::   kt         ! ocean time-step index
       !! * Local declarations
-      INTEGER ::   ji, jj, jk,jn   ! dummy loop indices
-      REAL(wp) ::   zfact, ztra    ! temporary scalar
+      INTEGER  ::   ji, jj, jk, jn   ! dummy loop indices
+      REAL(wp) ::   zfact            ! temporary scalar
       CHARACTER (len=22) :: charout
       !!----------------------------------------------------------------------
Index: /branches/dev_001_GM/NEMO/TOP_SRC/TRP/trctrp.F90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/TRP/trctrp.F90	(revision 772)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/TRP/trctrp.F90	(revision 773)
@@ -15,4 +15,5 @@
    USE trc             ! ocean passive tracers variables 
    USE trctrp_lec      ! passive tracers transport parameters
+   USE prtctl_trc     ! Print control for debbuging
 
    USE trcbbl          ! bottom boundary layer               (trc_bbl routine)
@@ -67,4 +68,6 @@
       !!----------------------------------------------------------------------
       INTEGER, INTENT( in ) ::  kt  ! ocean time-step index
+      !!
+      CHARACTER (len=25) :: charout
       !! ---------------------------------------------------------------------
 
Index: /branches/dev_001_GM/NEMO/TOP_SRC/initrc.F90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/initrc.F90	(revision 772)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/initrc.F90	(revision 773)
@@ -51,5 +51,5 @@
       !!                or read data or analytical formulation
       !!---------------------------------------------------------------------
-      INTEGER ::   ji, jj, jk, jn    ! dummy loop indices
+      INTEGER ::   jk, jn    ! dummy loop indices
       REAL(wp), DIMENSION(jpi,jpj,jpk) ::   zbt   ! workspace: masked grid volume
       !!---------------------------------------------------------------------
@@ -64,5 +64,5 @@
       END DO
 #if defined key_off_degrad
-      zbt(:,:,:) = zbt(:,:,:) * facvol(ji,jj,jk)      ! degrad option: reduction by facvol
+      zbt(:,:,:) = zbt(:,:,:) * facvol(:,:,jk)      ! degrad option: reduction by facvol
 #endif
 
Index: /branches/dev_001_GM/NEMO/TOP_SRC/trcctl.F90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/trcctl.F90	(revision 772)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/trcctl.F90	(revision 773)
@@ -83,8 +83,11 @@
 # if defined key_lobster
 #   include "trcctl.lobster1.h90"
+
 # elif defined key_pisces
 #   include "trcctl.pisces.h90"
+
 # elif defined key_cfc
 #   include "trcctl.cfc.h90"
+
 # else
       IF(lwp) WRITE (numout,*) '       No Source/Sink '
Index: /branches/dev_001_GM/NEMO/TOP_SRC/trcdtr.F90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/trcdtr.F90	(revision 772)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/trcdtr.F90	(revision 773)
@@ -41,9 +41,10 @@
       !! ** Method  : 
       !!---------------------------------------------------------------------
-      INTEGER :: ji,jj,jk,jn 
-#if defined key_pisces
+      INTEGER ::   jn 
+# if defined key_pisces
+      INTEGER ::   ji, jj, jk 
       REAL(wp) ::   alka0, oxyg0, calc0, bioma0
       REAL(wp) ::   silic1, po4, no3, caralk, bicarb, co3
-#endif
+# endif
       !!---------------------------------------------------------------------
 
@@ -52,9 +53,11 @@
       IF(lwp) WRITE(numout,*) '~~~~~~~'
 
-#if defined key_cfc
-      ! CFC initialisation
-      trn(:,:,:,:) = 0.e0
+      IF( lk_cfc ) THEN
+         DO jn = jp_cfc0,jp_cfc1
+            trn(:,:,:,jn) = 0.e0      ! CFC initialisation to zera
+         END DO
+      ENDIF
       
-#elif defined key_pisces
+# if defined key_pisces
       ! PISCES initialisation
       ! ---------------------
@@ -75,10 +78,10 @@
       trn(:,:,:,jppo4) = po4
       trn(:,:,:,jppoc) = bioma0
-#if ! defined key_kriest
+#  if ! defined key_kriest
       trn(:,:,:,jpgoc) = bioma0
       trn(:,:,:,jpbfe) = bioma0 * 5.e-6
-#else
+#  else
       trn(:,:,:,jpnum) = bioma0 / ( 6. *xkr_massp )
-#endif
+#  endif
       trn(:,:,:,jpsil) = silic1
       trn(:,:,:,jpbsi) = bioma0 * 0.15
@@ -119,5 +122,5 @@
       IF(lwp) WRITE(numout,*) ' '
 
-#elif defined key_lobster && ( defined key_eel_r6 || defined key_eel_r2 )
+# elif defined key_lobster && ( defined key_eel_r6 || defined key_eel_r2 )
       ! LOBSTER initialisation for EEL
       ! ----------------------
@@ -195,5 +198,5 @@
       trn(:,:,30,jpno3) = 20.01 * tmask(:,:,30)
 
-#elif defined key_lobster && defined key_gyre
+# elif defined key_lobster && defined key_gyre
       ! LOBSTER initialisation for GYRE
       ! ----------------------
@@ -216,5 +219,5 @@
       END DO
 
-#else
+# else
       ! Default case 
       ! ------------
@@ -223,7 +226,7 @@
       END DO
 
-#endif
-
-#if defined key_dtatrc
+# endif
+
+# if defined key_dtatrc
      ! Initialization of tracer from a file that may also be used for damping
       CALL dta_trc( nittrc000 )
@@ -231,5 +234,5 @@
         IF( lutini(jn) )   trn(:,:,:,jk) = trdta(:,:,:,jn) * tmask(:,:,:)   ! initialisation from file if required
       END DO
-#endif
+# endif
 
       ! before field :
@@ -237,10 +240,10 @@
       trb(:,:,:,:) = trn(:,:,:,:)
 
-#if defined key_lobster
+# if defined key_lobster
       !  initialize the POC in sediments
       sedpocb(:,:) = 0.e0
       sedpocn(:,:) = 0.e0
       sedpoca(:,:) = 0.e0
-#endif
+# endif
       !
    END SUBROUTINE trc_dtr 