Index: branches/dev_001_GM/NEMO/TOP_SRC/CFC/trccfc.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/CFC/trccfc.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/CFC/trccfc.F90	(revision 776)
@@ -47,5 +47,5 @@
 
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/LOBSTER/trcini_lobster.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/LOBSTER/trcini_lobster.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/LOBSTER/trcini_lobster.F90	(revision 776)
@@ -27,5 +27,5 @@
 
 #  include "domzgr_substitute.h90"
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/PISCES/trcini_pisces.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/PISCES/trcini_pisces.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/PISCES/trcini_pisces.F90	(revision 776)
@@ -30,5 +30,5 @@
 
 #  include "domzgr_substitute.h90"
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcadv_cen2.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcadv_cen2.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcadv_cen2.F90	(revision 776)
@@ -23,5 +23,5 @@
 
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !!   TOP 1.0 , LOCEAN-IPSL (2005) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcadv_muscl.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcadv_muscl.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcadv_muscl.F90	(revision 776)
@@ -26,5 +26,5 @@
 
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !!   TOP 1.0 , LOCEAN-IPSL (2005) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcadv_muscl2.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcadv_muscl2.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcadv_muscl2.F90	(revision 776)
@@ -29,5 +29,5 @@
 
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !!   TOP 1.0 , LOCEAN-IPSL (2005) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcadv_smolar.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcadv_smolar.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcadv_smolar.F90	(revision 776)
@@ -12,5 +12,4 @@
    !!                  FCT scheme
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE oce_trc             ! ocean dynamics and active tracers variables
    USE trc                 ! ocean passive tracers variables
@@ -22,13 +21,10 @@
    PRIVATE
 
-   !! * Accessibility
    PUBLIC trc_adv_smolar    ! routine called by trcstp.F90
 
-   !! * Module variable
-   REAL(wp), DIMENSION(jpk) ::   &
-      rdttrc                     ! vertical profile of tracer time-step
+   REAL(wp), DIMENSION(jpk) ::   rdttrc       ! vertical profile of tracer time-step
  
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !!   TOP 1.0 , LOCEAN-IPSL (2005) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcadv_tvd.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcadv_tvd.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcadv_tvd.F90	(revision 776)
@@ -26,5 +26,5 @@
 
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !!   TOP 1.0 , LOCEAN-IPSL (2005) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcbbc.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcbbc.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcbbc.F90	(revision 776)
@@ -38,5 +38,5 @@
  
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !!  TOP 1.0 , LOCEAN-IPSL (2005) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcbbl.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcbbl.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcbbl.F90	(revision 776)
@@ -60,5 +60,5 @@
 
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !!   TOP 1.0 , LOCEAN-IPSL (2005) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcdmp.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcdmp.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcdmp.F90	(revision 776)
@@ -15,5 +15,4 @@
    !!   cofdis       : compute the distance to the coastline
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE oce_trc         ! ocean dynamics and tracers variables
    USE trc             ! ocean passive tracers variables
@@ -35,5 +34,5 @@
 
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !!   TOP 1.0 , LOCEAN-IPSL (2005) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcldf_bilap.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcldf_bilap.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcldf_bilap.F90	(revision 776)
@@ -24,5 +24,5 @@
 
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !!   TOP 1.0 , LOCEAN-IPSL (2005) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcldf_bilapg.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcldf_bilapg.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcldf_bilapg.F90	(revision 776)
@@ -26,5 +26,5 @@
 
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !!   TOP 1.0 , LOCEAN-IPSL (2005) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcldf_iso.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcldf_iso.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcldf_iso.F90	(revision 776)
@@ -25,5 +25,5 @@
 
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !!   TOP 1.0 , LOCEAN-IPSL (2005) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcldf_iso_zps.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcldf_iso_zps.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcldf_iso_zps.F90	(revision 776)
@@ -24,5 +24,5 @@
 
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !!   TOP 1.0 , LOCEAN-IPSL (2005) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcldf_lap.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcldf_lap.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcldf_lap.F90	(revision 776)
@@ -11,5 +11,4 @@
    !!                 using a iso-level harmonic (laplacien) operator.
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE oce_trc             ! ocean dynamics and active tracers variables
    USE trc                 ! ocean passive tracers variables
@@ -23,5 +22,5 @@
 
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !!   TOP 1.0 , LOCEAN-IPSL (2005) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcrad.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcrad.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcrad.F90	(revision 776)
@@ -24,5 +24,5 @@
 
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcsbc.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcsbc.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/TRP/trcsbc.F90	(revision 776)
@@ -23,5 +23,5 @@
 
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !!   TOP 1.0 , LOCEAN-IPSL (2005) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/TRP/trczdf_exp.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/TRP/trczdf_exp.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/TRP/trczdf_exp.F90	(revision 776)
@@ -29,5 +29,5 @@
 
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !!   TOP 1.0 , LOCEAN-IPSL (2005) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/TRP/trczdf_imp.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/TRP/trczdf_imp.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/TRP/trczdf_imp.F90	(revision 776)
@@ -28,5 +28,5 @@
 
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !!   TOP 1.0 , LOCEAN-IPSL (2005) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/TRP/trczdf_iso.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/TRP/trczdf_iso.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/TRP/trczdf_iso.F90	(revision 776)
@@ -31,5 +31,5 @@
 
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !!   TOP 1.0 , LOCEAN-IPSL (2005) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/TRP/trczdf_iso_vopt.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/TRP/trczdf_iso_vopt.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/TRP/trczdf_iso_vopt.F90	(revision 776)
@@ -34,5 +34,5 @@
 
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !!   TOP 1.0 , LOCEAN-IPSL (2005) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/TRP/zpshde_trc.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/TRP/zpshde_trc.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/TRP/zpshde_trc.F90	(revision 776)
@@ -29,5 +29,5 @@
 
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !!   TOP 1.0 , LOCEAN-IPSL (2005) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/passivetrc_substitute.h90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/passivetrc_substitute.h90	(revision 775)
+++ 	(revision )
@@ -1,79 +1,0 @@
-   !!----------------------------------------------------------------------
-   !!                    ***  passivetrc_substitute.h90   ***
-   !!----------------------------------------------------------------------
-   !! ** purpose : Statement function file: to be include in all routines
-   !!              concerning passive tracer model 
-   !!----------------------------------------------------------------------
-   !! History :   1.0  !  2004-03 (C. Ethe) Original code
-   !!----------------------------------------------------------------------
-   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2007) 
-   !! $Header:$ 
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
-   !!----------------------------------------------------------------------
-
-    ! Lateral eddy diffusivity coefficient for passive tracer:
-    ! ========================================================
-#if defined key_traldf_c3d || defined key_off_degrad
-!   'key_traldf_c3d' :                 aht: 3D coefficient
-#       define fsahtrt(i,j,k)  trcrat * ahtt(i,j,k)
-#       define fsahtru(i,j,k)  trcrat * ahtu(i,j,k)
-#       define fsahtrv(i,j,k)  trcrat * ahtv(i,j,k)
-#       define fsahtrw(i,j,k)  trcrat * ahtw(i,j,k)
-#elif defined key_traldf_c2d
-!   'key_traldf_c2d' :                 aht: 2D coefficient
-#       define fsahtrt(i,j,k)  trcrat * ahtt(i,j)
-#       define fsahtru(i,j,k)  trcrat * ahtu(i,j)
-#       define fsahtrv(i,j,k)  trcrat * ahtv(i,j)
-#       define fsahtrw(i,j,k)  trcrat * ahtw(i,j)
-#elif defined key_traldf_c1d
-!   'key_traldf_c1d' :                 aht: 1D coefficient
-#       define fsahtrt(i,j,k)  trcrat * ahtt(k)
-#       define fsahtru(i,j,k)  trcrat * ahtu(k)
-#       define fsahtrv(i,j,k)  trcrat * ahtv(k)
-#       define fsahtrw(i,j,k)  trcrat * ahtw(k)
-#else
-!   Default option :             aht: Constant coefficient
-#       define fsahtrt(i,j,k)  ahtrc0
-#       define fsahtru(i,j,k)  ahtrc0
-#       define fsahtrv(i,j,k)  ahtrc0
-#       define fsahtrw(i,j,k)  ahtrc0
-#endif
-
-    ! Eddy induced velocity  coefficient for passive tracer:
-    ! ========================================================
-#if defined key_traldf_c3d || defined key_off_degrad
-!   'key_traldf_c3d' :                 eiv: 3D coefficient
-#       define fsaeitru(i,j,k)  trcrat * aeiu(i,j,k)
-#       define fsaeitrv(i,j,k)  trcrat * aeiv(i,j,k)
-#       define fsaeitrw(i,j,k)  trcrat * aeiw(i,j,k)
-#elif defined key_traldf_c2d
-!   'key_traldf_c2d' :                 eiv: 2D coefficient
-#       define fsaeitru(i,j,k)  trcrat * aeiu(i,j)
-#       define fsaeitrv(i,j,k)  trcrat * aeiv(i,j)
-#       define fsaeitrw(i,j,k)  trcrat * aeiw(i,j)
-#elif defined key_traldf_c1d
-!   'key_traldf_c1d' :                 eiv: 1D coefficient
-#       define fsaeitru(i,j,k)  trcrat * aeiu(k)
-#       define fsaeitrv(i,j,k)  trcrat * aeiv(k)
-#       define fsaeitrw(i,j,k)  trcrat * aeiw(k)
-#else
-!   Default option :             eiv: Constant coefficient
-#       define fsaeitru(i,j,k)  aeiv0
-#       define fsaeitrv(i,j,k)  aeiv0
-#       define fsaeitrw(i,j,k)  aeiv0
-#endif
-    ! mixing for passive tracer:
-    ! ========================================================
-#if defined key_trc_zdfddm
-!   'key_trc_zdfddm' :    avs 
-#       define fstravs(i,j,k)   avs(i,j,k)
-#else
-!   Defautl option :   avs = avt
-#       define fstravs(i,j,k)   avt(i,j,k)
-#endif
-
-! ========================================================
-#include "domzgr_substitute.h90"
-#include "ldfeiv_substitute.h90"
-#include "ldftra_substitute.h90"
-#include "vectopt_loop_substitute.h90"
Index: branches/dev_001_GM/NEMO/TOP_SRC/top_substitute.h90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/top_substitute.h90	(revision 776)
+++ branches/dev_001_GM/NEMO/TOP_SRC/top_substitute.h90	(revision 776)
@@ -0,0 +1,80 @@
+   !!----------------------------------------------------------------------
+   !!                    ***  top_substitute.h90   ***
+   !!----------------------------------------------------------------------
+   !! ** purpose : Statement function file: to be include in all routines
+   !!              concerning passive tracer model 
+   !!----------------------------------------------------------------------
+   !! History :   1.0  !  2004-03 (C. Ethe) Original code
+   !!             2.0  !  2007-12 (C. Ethe, G. Madec) new architecture
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
+   !! $Id:$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
+
+    ! Lateral eddy diffusivity coefficient for passive tracer:
+    ! ========================================================
+#if defined key_traldf_c3d || defined key_off_degrad
+!   'key_traldf_c3d' :                 aht: 3D coefficient
+#       define fsahtrt(i,j,k)  trcrat * ahtt(i,j,k)
+#       define fsahtru(i,j,k)  trcrat * ahtu(i,j,k)
+#       define fsahtrv(i,j,k)  trcrat * ahtv(i,j,k)
+#       define fsahtrw(i,j,k)  trcrat * ahtw(i,j,k)
+#elif defined key_traldf_c2d
+!   'key_traldf_c2d' :                 aht: 2D coefficient
+#       define fsahtrt(i,j,k)  trcrat * ahtt(i,j)
+#       define fsahtru(i,j,k)  trcrat * ahtu(i,j)
+#       define fsahtrv(i,j,k)  trcrat * ahtv(i,j)
+#       define fsahtrw(i,j,k)  trcrat * ahtw(i,j)
+#elif defined key_traldf_c1d
+!   'key_traldf_c1d' :                 aht: 1D coefficient
+#       define fsahtrt(i,j,k)  trcrat * ahtt(k)
+#       define fsahtru(i,j,k)  trcrat * ahtu(k)
+#       define fsahtrv(i,j,k)  trcrat * ahtv(k)
+#       define fsahtrw(i,j,k)  trcrat * ahtw(k)
+#else
+!   Default option :             aht: Constant coefficient
+#       define fsahtrt(i,j,k)  ahtrc0
+#       define fsahtru(i,j,k)  ahtrc0
+#       define fsahtrv(i,j,k)  ahtrc0
+#       define fsahtrw(i,j,k)  ahtrc0
+#endif
+
+    ! Eddy induced velocity  coefficient for passive tracer:
+    ! ========================================================
+#if defined key_traldf_c3d || defined key_off_degrad
+!   'key_traldf_c3d' :                 eiv: 3D coefficient
+#       define fsaeitru(i,j,k)  trcrat * aeiu(i,j,k)
+#       define fsaeitrv(i,j,k)  trcrat * aeiv(i,j,k)
+#       define fsaeitrw(i,j,k)  trcrat * aeiw(i,j,k)
+#elif defined key_traldf_c2d
+!   'key_traldf_c2d' :                 eiv: 2D coefficient
+#       define fsaeitru(i,j,k)  trcrat * aeiu(i,j)
+#       define fsaeitrv(i,j,k)  trcrat * aeiv(i,j)
+#       define fsaeitrw(i,j,k)  trcrat * aeiw(i,j)
+#elif defined key_traldf_c1d
+!   'key_traldf_c1d' :                 eiv: 1D coefficient
+#       define fsaeitru(i,j,k)  trcrat * aeiu(k)
+#       define fsaeitrv(i,j,k)  trcrat * aeiv(k)
+#       define fsaeitrw(i,j,k)  trcrat * aeiw(k)
+#else
+!   Default option :             eiv: Constant coefficient
+#       define fsaeitru(i,j,k)  aeiv0
+#       define fsaeitrv(i,j,k)  aeiv0
+#       define fsaeitrw(i,j,k)  aeiv0
+#endif
+    ! mixing for passive tracer:
+    ! ========================================================
+#if defined key_trc_zdfddm
+!   'key_trc_zdfddm' :    avs 
+#       define fstravs(i,j,k)   avs(i,j,k)
+#else
+!   Defautl option :   avs = avt
+#       define fstravs(i,j,k)   avt(i,j,k)
+#endif
+
+! ========================================================
+#include "domzgr_substitute.h90"
+#include "ldfeiv_substitute.h90"
+#include "ldftra_substitute.h90"
+#include "vectopt_loop_substitute.h90"
Index: branches/dev_001_GM/NEMO/TOP_SRC/trcdit.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/trcdit.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/trcdit.F90	(revision 776)
@@ -59,5 +59,5 @@
 
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/trcdta.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/trcdta.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/trcdta.F90	(revision 776)
@@ -33,5 +33,5 @@
 
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/trclec.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/trclec.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/trclec.F90	(revision 776)
@@ -29,5 +29,5 @@
 
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
Index: branches/dev_001_GM/NEMO/TOP_SRC/trcrst.F90
===================================================================
--- branches/dev_001_GM/NEMO/TOP_SRC/trcrst.F90	(revision 775)
+++ branches/dev_001_GM/NEMO/TOP_SRC/trcrst.F90	(revision 776)
@@ -33,5 +33,5 @@
 
    !! * Substitutions
-#  include "passivetrc_substitute.h90"
+#  include "top_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 