Index: trunk/DOC/BETA/Biblio/Biblio.bib
===================================================================
--- trunk/DOC/BETA/Biblio/Biblio.bib	(revision 720)
+++ trunk/DOC/BETA/Biblio/Biblio.bib	(revision 781)
@@ -152,4 +152,14 @@
   timestamp = {2007.08.05}
 }
+
+@ARTICLE{Arhan2006,
+  author = {M. Arhan and A.M. Treguier and  B. Bourles and  S. Michel},
+  year = { 2006 },
+  title = {Diagnosing the annual cycle of the Equatorial Undercurrent in the Atlantic Ocean from a general circulation model},
+  journal =  JPO,
+  volume = { 36}, 
+  pages = {1502-1522}
+}
+
 
 @ARTICLE{ASSELIN1972,
@@ -899,4 +909,14 @@
   timestamp = {2007.08.03}
 }
+
+@ARTICLE{Killworth1992,
+  author = {P. D. Killworth},
+   year = {1992}, 
+  title = {An equivalent-barotropic mode in the fine resolution Antarctic model},
+  journal = JPO,
+  volume = {22},
+  pages = {1379-1387}
+}.
+
 
 @ARTICLE{Kolmogorov1942,
@@ -1784,4 +1804,13 @@
   timestamp = {2007.08.05}
 }
+ 
+@ARTICLE{Treguier1992,
+  author = {A.M. Treguier},
+  year = { 1992},
+  title = {Kinetic energy analysis of an eddy resolving, primitive equation North Atlantic model},
+  journal = JGR, 
+  volume = {97}, 
+  pages = {687-701}
+}
 
 @ARTICLE{Treguier1996,
@@ -1943,11 +1972,95 @@
 }
 
-@INBOOK{Delecluse2000,
-  chapter = {Ocean modelling and the role of the ocean in the climate system},
+@ARTICLE{Marchesiello2001,
+  author = { P. Marchesiello  and J. Mc Williams  and A. Shchepetkin },
+  title = {Open boundary conditions for long-term integrations of Regional Oceanic Models},
+  journal = {Ocean Modelling},
+  year = {2001},
+  volume = {3},
+  pages = {1-20}
+}
+
+@INCOLLECTION{Durran2001,
+  author = {D.R.  Durran },
+  title = {Open boundary conditions: fact and fiction},
+  booktitle = {Advances in Mathematical Modelling of Atmosphere and Ocean Dynamics},
+  year = {2001},
+  editor = {P.F. Hodnett},
+  publisher = {Kluwer Academic Publishers}
+}
+
+@ARTICLE{Treguier2001,
+  author = {A.M Treguier and  B. Barnier and A.P. de Miranda and J.M. Molines and N. Grima and M. Imbard and G. Madec and C. Messager and  T. Reynaud and S. Michel},
+  title = {An Eddy Permitting model of the Atlantic circulation: evaluating open boundary conditions},
+  journal = JGR,
+  year = {2001},
+  volume = {106},
+  pages = {22115-22129}
+}
+
+@ARTICLE{Blayo2005,
+  author = {E. Blayo and L. Debreu},
+  title = {Revisiting open boundary conditions from the point of view of characteristic variables},
+  journal = {Ocean Modelling}, 
+  year = {2005},
+  volume = {9},
+  pages = {231-252}
+}
+
+@ARTICLE{Barnier1998,
+   author = {B. Barnier  and P. Marchesiello and A. P. de Miranda and  J.M. Molines and M. Coulibaly}, 
+   title = {A sigma-coordinate primitive equation model for studying the circulation in the South Atlantic I, Model configuration with error estimates}, 
+   journal = {Deep Sea Res.}, 
+   volume = {45}, 
+   pages = {543-572}, 
+   year =  {1998}
+}
+
+@ARTICLE{Penduff2000,
+   author = {T. Penduff and B. Barnier  and A. Colin de Verdi\`{e}re}, 
+   title = { Self-adapting open boundaries for a regional model of the eastern North Atlantic},
+   journal = JGR,
+   volume = {105}, 
+   pages = {11,279-11,297}, 
+   year =  {2000}
+}
+
+@ARTICLE{Penduff2007,
+   author = {T. Penduff and J. Le Sommer and B. Barnier and A.M. Treguier and J. Molines and G. Madec},
+   title = {Influence of numerical schemes on current-topography interactions in 1/4$^{\circ}$ global ocean simulations},  
+   journal = {Ocean Science},
+   volume = {?}, 
+   pages = {in revision}, 
+   year =  {2007}
+}
+
+  
+@INCOLLECTION{Barnier1996,
+  author = { B. Barnier  and P. Marchesiello  and  A.P. de Miranda },
+  title = {Modeling the ocean circulation in the South Atlantic : A strategy for dealing with open boundaries},
+  booktitle = {The South Atlantic : Present and Past Circulation},
+  editor = {G.Wefer and  W.H. Berger and G Siedler and D. Webb},
+  publisher ={Springer-Verlag, Berlin},
+  pages = {289-304},
+   year =  {1996}
+}
+
+@INCOLLECTION{Roed1986,
+  author = {L.P. Roed  and  C.K. Cooper},
+  year =  {1986},
+  title = {Open boundary conditions in numerical ocean models},
+  booktitle = {Advanced Physical Oceanography Numerical Modelling}, 
+  editor = {J.J. O'Brien},
+  publisher = { NATO ASI Series, vol. 186.}
+}
+
+
+@INCOLLECTION{Delecluse2000,
+  author = {P. Delecluse},
+  title = {Ocean modelling and the role of the ocean in the climate system},
   pages = {237-313},
-  title = {Modeling the Earth's Climate and its Variability, Les Houches, Session
-	LXVII 1997},
+  booktitle = {Modeling the Earth's Climate and its Variability, Les Houches, 1997},
   year = {2000},
-  editor = {W. R. Holland and  S. Jaussaume and F. David},
+  editor = {W. R. Holland and  S. Joussaume and F. David},
   owner = {gm},
   timestamp = {2007.08.17}
Index: trunk/DOC/BETA/Chapters/Chap_DOM.tex
===================================================================
--- trunk/DOC/BETA/Chapters/Chap_DOM.tex	(revision 720)
+++ trunk/DOC/BETA/Chapters/Chap_DOM.tex	(revision 781)
@@ -316,5 +316,5 @@
 the ocean. This is unnecessary when the ocean is forced by fixed atmospheric 
 conditions. A possibility is offered to the user to set to zero the 
-bathymetry in rectangular regions covering those closed seas (see \S\ref{MISC_closea})
+bathymetry in rectangular regions covering those closed seas (see \S\ref{MISC_closea}), but the code has to be adapted to the user's configuration. 
 
 % -------------------------------------------------------------------------------------------------------------
@@ -515,5 +515,5 @@
 
 In case of rigid-lid approximation and islands in the computational domain (\np{ln\_dynspg\_rl}=true and \key{island} defined), the \textit{mbathy} array must be provided and takes values from $-N$ to \jp{jpk}-1. It provides the 
-following information: $mbathy(i,j) = -n, \ n \in \left] 0,N \right]$, $T-$points are land points of the $n^{th}$ island ; $mbathy(i,j) =0$, $T-$points are land points of the main land (continent) ; $mbathy(i,j) =k$, the first $k$ $T$- and $w$-points are ocean points, the others land points. This is used to compute the island barotropic stream function used in rigid lid computation (see \S\ref{LBC_isl}).
+following information: $mbathy(i,j) = -n, \ n \in \left] 0,N \right]$, $T-$points are land points of the $n^{th}$ island ; $mbathy(i,j) =0$, $T-$points are land points of the main land (continent) ; $mbathy(i,j) =k$, the first $k$ $T$- and $w$-points are ocean points, the others land points. This is used to compute the island barotropic stream function used in rigid lid computation (see \S\ref{MISC_solisl}).
 
 From the \textit{mbathy} array, the mask fields are defined as follows:
@@ -553,5 +553,5 @@
 well as the implication in term of starting or restarting a model 
 simulation. Note that the time stepping is generally performed in a one step 
-operation: it would be dangerous to let a prognostic variable evolve in time for each term successively.
+operation. With such a complex and nonlinear system of equations it would be dangerous to let a prognostic variable evolve in time for each term successively.
 
 The three level scheme requires three arrays for the prognostic variables. For each variable $x$ there is $x_b$ (before) and $x_n$ (now). The third array, although referred to as $x_a$ (after) in the code, is usually not the variable $x_a$ at the next time step; rather, it is used to store the time derivative (RHS in \eqref{Eq_DOM_nxt}) prior to time-stepping the equation. Generally, the time stepping is performed once at each time step in \mdl{tranxt} and \mdl{dynnxt} modules, excepted for implicit vertical diffusion or sea surface height when time-splitting options are used.
@@ -621,5 +621,5 @@
 \end{equation} 
 
-Equations  \ref{Eq_DOM_nxt2} and \ref{Eq_DOM_nxt3} suggest several remarks. First the Asselin filter is definitively a second order time diffusive operator which is evaluated at centered time step. The magnitude of this diffusion is proportional to the time step (with $\gamma$ usually taken between $10^{-1}$ to $10^{-3}$). Second, this term have to be taken into account in all budget of the equations (mass, heat content, salt content, kinetic energy...). Nevertheless, we stress here that it is small and does not systematic biases. Indeed let evaluates how it contributes to time evolution of $x$ between $t_o$ and $t_1$:
+Equations  \ref{Eq_DOM_nxt2} and \ref{Eq_DOM_nxt3} suggest several remarks. First the Asselin filter is definitively a second order time diffusive operator which is evaluated at centered time step. The magnitude of this diffusion is proportional to the time step (with $\gamma$ usually taken between $10^{-1}$ to $10^{-3}$) . Second, this term has to be taken into account in all budgets of the equations (mass, heat content, salt content, kinetic energy...). Nevertheless,we stress here that it is small and does not create systematic biases. Indeed let us evaluate how it contributes to the time evolution of $x$ between $t_o$ and $t_1$:
 \begin{equation} \label{Eq_DOM_nxt4}
 \begin{split}
Index: trunk/DOC/BETA/Chapters/Chap_LBC.tex
===================================================================
--- trunk/DOC/BETA/Chapters/Chap_LBC.tex	(revision 720)
+++ trunk/DOC/BETA/Chapters/Chap_LBC.tex	(revision 781)
@@ -128,5 +128,5 @@
 \label{LBC_north_fold}
 
-The north fold boundary condition have been introduced in order to handle the north boundary of an three-polar ORCA grid. Such a grid has two poles in the northern hemisphere. \colorbox{yellow}{to be completed...}
+The north fold boundary condition has been introduced in order to handle the north boundary of a three-polar ORCA grid. Such a grid has two poles in the northern hemisphere. \colorbox{yellow}{to be completed...}
 
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
@@ -137,8 +137,8 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 
-% ================================================================
-% Exchanged with neighbouring processors 
-% ================================================================
-\section{Exchanged with neighbouring processors (\mdl{lbclnk}, \mdl{lib\_mpp})}
+% ====================================================================
+% Sub-Domain:Exchange with neighbouring processors 
+% ====================================================================
+\section{Exchange with neighbouring processors (\mdl{lbclnk}, \mdl{lib\_mpp})}
 \label{LBC_mpp}
 
@@ -184,5 +184,4 @@
 
 
-	The OPA model computes equation terms with the help of mask arrays ( 0 onto land points and 1 onto sea points). It is easily readable and very efficient in the context of the vectorial architecture. But in the case of scalar processor, computations over the land regions becomes more expensive in term of CPU time. It is all the more when we use a complex configuration with a realistic bathymetry like the global ocean where more than 50 \% of points are land points. For this reason, a pre-processing tool allows to search in the mpp domain decomposition strategy if a splitting can be found with a maximum number of only land points processors which could be eliminated (mppini2 program). This optimisation is made with the knowledge of the specific bathymetry in a first time and after, the OPA model, in its initialization part, take account only processors with a sea region. For that, one must indicate in the parameter file the initial cutting along i- and j-axes with jpni and jpnjand the ocean processor number jpnij < jpni x jpnj. Each processor name and neighbour parameters (nbound, nono, noea,...) are modified by an algorithm in the inimpp2.F subroutine.
 
 	The OPA model computes equation terms with the help of mask arrays (0 onto land points and 1 onto sea points). It is easily readable and very efficient in the context of the vectorial architecture. But in the case of scalar processor, computations over the land regions becomes more expensive in term of CPU time. It is all the more so when we use a complex configuration with a realistic bathymetry like the global ocean where more than 50 \% of points are land points. For this reason, a pre-processing tool allows to search in the mpp domain decomposition strategy if a splitting can be found with a maximum number of only land points processors which could be eliminated: the mpp\_optimiz tools (available from the DRAKKAR web site). This optimisation is made with the knowledge of the specific bathymetry. The user chooses optimal parameters \jp{jpni}, \jp{jpnj} and \jp{jpnij} with $jpnij < jpni \times jpnj$, leading to the elimination of $jpni \times jpnj - jpnij$ land processors. When those parameters are specified in module \mdl{par\_oce}, the algorithm in the \rou{inimpp2} routine set each processor name and neighbour parameters (nbound, nono, noea,...) so that the land processors are not taken into account. 
@@ -205,10 +204,222 @@
 \section{Open Boundary Conditions (\key{obc})}
 \label{LBC_obc}
-
-%gm%  to be update from documentation already written by J.M. Molines + Mercator input
-
-% ================================================================
+%-----------------------------------------nam_obc  -------------------------------------------
+%-    nobc_dta    =    0     !  = 0 the obc data are equal to the initial state
+%-                           !  = 1 the obc data are read in 'obc   .dta' files
+%-    rdpein      =    1.    !  ???
+%-    rdpwin      =    1.    !  ???
+%-    rdpnin      =   30.    !  ???
+%-    rdpsin      =    1.    !  ???
+%-    rdpeob      = 1500.    !  time relaxation (days) for the east  open boundary
+%-    rdpwob      =   15.    !    "        "           for the west  open boundary
+%-    rdpnob      =  150.    !    "        "           for the north open boundary
+%-    rdpsob      =   15.    !    "        "           for the south open boundary
+%-    zbsic1      =  140.e+6 !  barotropic stream function on first  isolated coastline
+%-    zbsic2      =    1.e+6 !    "                   "    on second isolated coastline
+%-    zbsic3      =    0.    !    "                   "    on thrid  isolated coastline
+%-    ln_obc_clim = .true.   !  climatological obc data files (default T)
+%-    ln_vol_cst  = .true.   !  total volume conserved
+\namdisplay{namobc} 
+
+It is often necessary to implement a model configuration limited to an oceanic region or a basin, which communicates with the rest of the global ocean through  ``open boundaries''. As stated by \citet{Roed1986}, an open boundary is a computational border where the aim of the calculations is to allow the perturbations generated inside the computational domain to leave it without deterioration of the inner model solution. However, an open boundary also has to let information from the outer oceans enter the model and should support inflow and outflow conditions. 
+
+The open boundary package OBC is the first open boundary option developed in NEMO (originally in OPA8.2). It allows the user to 
+\begin{itemize}
+\item tell the model that a boundary is ``open'' and not closed by a wall, for example by modifying the calculation of the divergence of velocity there, and other necessary modifications;
+\item impose values of tracers and velocities at that boundary (values which may be taken from a climatology): this is the``fixed OBC'' option. 
+\item calculate boundary values by a sophisticated algorithm combining radiation and relaxation (``radiative OBC'' option)
+\end{itemize}
+
+The package resides in the OBC directory. It is described here in four parts: the boundary geometry (parameters to be set in \mdl{obc\_par}), the forcing data at the boundaries (module \mdl{obcdta}),  the radiation algorithm involving the namelist and module \mdl{obcrad}, and a brief presentation of boundary update and restart files.
+
+%----------------------------------------------
+\subsection{Boundary geometry}
+\label{OBC_geom}
+%
+First one has to realize that open boundaries may not necessarily be located at the extremities of the computational domain. They may exist in the middle of the domain, for example at Gibraltar Straits if one wants to avoid including the Mediterranean in an Atlantic domain. This flexibility has been found necessary for the CLIPPER project \citep{Treguier2001}. Because of the complexity of the geometry of ocean basins, it may even be necessary to have more than one ``west'' open boundary, more than one ``north'', etc. This is not possible with the OBC option: only one open boundary of each kind, west, east, south and north is allowed; those names refer to the grid geometry (not to the direction of the geographical ``west'', ``east'', etc).
+
+The open boundary geometry is set by a series of parameters in the module \mdl{obc\_par}. For an eastern open boundary, parameters are \jp{lp\_obc\_east} (true if an east open boundary exists), \jp{jpieob} the $i$-index along which the eastern open boundary (eob) is located, \jp{jpjed} the $j$-index at which it starts, and \jp{jpjef} the $j$-index where it ends (note $d$ is for ``d\'{e}but'' and $f$ for ``fin'' in French). Similar parameters exist for the west, south and north cases (Table~\ref{Tab_obc_param}).
+
+
+%--------------------------------------------------TABLE--------------------------------------------------
+
+\begin{table}[htbp]  \label{Tab_obc_param}
+\begin{center}
+\begin{tabular}{|l|c|c|c|}
+\hline
+Boundary and  & Constant index  & Starting index (d\'{e}but) & Ending index (fin) \\
+Logical flag  &                 &                            &                     \\
+\hline
+West          & \jp{jpiwob} $>= 2$         &  \jp{jpjwd}$>= 2$          &  \jp{jpjwf}<= \jp{jpjglo}-1 \\
+lp\_obc\_west & $i$-index of a $u$ point   & $j$ of a $T$ point   &$j$ of a $T$ point \\
+\hline
+East            & \jp{jpieob}$<=$\jp{jpiglo}-2&\jp{jpjed} $>= 2$         & \jp{jpjef}$<=$ \jp{jpjglo}-1 \\
+ lp\_obc\_east  & $i$-index of a $u$ point    & $j$ of a $T$ point & $j$ of a $T$ point \\
+\hline
+South           & \jp{jpjsob} $>= 2$         & \jp{jpisd} $>= 2$          & \jp{jpisf}$<=$\jp{jpiglo}-1 \\
+lp\_obc\_south  & $j$-index of a $v$ point   & $i$ of a $T$ point   & $i$ of a $T$ point \\
+\hline
+North           & \jp{jpjnob} $<=$ \jp{jpjglo}-2& \jp{jpind} $>= 2$        & \jp{jpinf}$<=$\jp{jpiglo}-1 \\
+lp\_obc\_north  & $j$-index of a $v$ point      & $i$  of a $T$ point & $i$ of a $T$ point \\
+\hline
+\end{tabular}
+\end{center}
+\caption{Names of different indices concerning the open boundaries. In the case of a completely open ocean domain with four ocean boundaries, the parameters take exactly the values indicated.}
+\end{table}
+
+The open boundaries must be along coordinate lines. On the C-grid, the boundary itself is along a line of normal velocity points: $v$ points for a zonal open boundary (the south or north one), and $u$ points for a meridional open boundary (the west or east one). Another constraint is that there still must be a row of masked points all around the domain, as if the domain were a closed basin (unless periodic conditions are used together with open boundary conditions). Therefore, an open boundary cannot be located at the first/last index, namely, 1 or \jp{jpiglo}, \jp{jpjglo}. Also, the open boundary algorithm involves calculating the normal velocity points situated just on the boundary, as well as the tangential velocity and temperature, salinity just outside the boundary. This means that for a west/south boundary, normal velocities and temperature are calculated at the same index \jp{jpiwob} and \jp{jpjsob}, respectively. For an east/north boundary, the normal velocity is calculated at index \jp{jpieob} and \jp{jpjnob}, but the ``outside'' temperature is at index \jp{jpieob}+1 and \jp{jpjnob}+1. This means that \jp{jpieob}, \jp{jpjnob} cannot be bigger than \jp{jpiglo}-2, \jp{jpjglo}-2. 
+
+
+The starting and ending indices are to be thought as $T$ point indices: in many cases they indicate the first land $T$-point, at the extremity of an open boundary (the coast line follows the $f$ grid points, see Fig.~\ref{Fig_obc_north} for the example for a northern open boundary. All indices are relative to the global domain. In the free surface case it is possible to have ``ocean corners'', that is, an open boundary starting and ending in the ocean.
+
+%>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+\begin{figure}[!t] \label{Fig_obc_north}  \begin{center}
+\includegraphics[width=0.70\textwidth]{./Figures/Fig_obc_north.pdf}
+\caption {Localization of the North open boundary points.}
+\end{center}  
+\end{figure}
+%>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+
+Although not absolutely compulsory, it is highly recommended that the bathymetry in the vicinity of an open boundary follows the following rule: in the direction perpendicular to the open line, the water depth should be constant for 4 grid points. This is in order to ensure that the radiation condition, which involves mdoel variables next to the boundary, is calculated in a consistent way. On Fig.\ref{Fig_obc_north} we indicate by a $=$ symbol, the points which should have the same depth. It means that in the 4 points near the boundary, the bathymetry is cylindrical. The line behind the open T-line must be 0 in the bathymetry file (as shown on Fig.\ref{Fig_obc_north} for example).
+
+%----------------------------------------------
+\subsection{Boundary data}
+\label{OBC_data}
+
+It is necessary to provide information at the boundaries. The simple case happens when this information does not change in time and is equal to the initial conditions (namelist variable \np{nobc\_dta}=0). This is the case of the standard configuration EEL5 with open boundaries. When (\np{nobc\_dta}=1), open boundary information is read from netcdf files. For convenience the input files are supposed to be similar to the ''history'' NEMO output files, for dimension names and variable names. 
+Open boundary arrays must be dimensioned according to the parameters of table~\ref{Tab_obc_param}: for example, at the western boundary arrays have a dimension of \jp{jpwf}-\jp{jpwd}+1 on the horizontal and \jp{jpk} on the vertical. 
+
+When ocean observations are used to generate the boundary data (a hydrographic section for example, as in \citet{Treguier2001}) it happens often that only the velocity normal to the boundary is known, which is the reason why the initial OBC code assumes that only $T$, $S$, and the normal velocity ($u$ or $v$) needs to be specified. As more and more global model solutions and ocean analysis products are available, it is possible to provide information about all the variables (including the tangential velocity) so that the specification of four variables at each boundaries will soon become standard. Regarding the sea surface height, one must distinguish the filtered free surface case from the time-splitting or explicit treatment of the free surface.
+ In the first case, it is assumed that the user does not wish to represent high frequency motions such as tides. The boundary condition is thus one of zero normal gradient of sea surface height at the open boundaries, following \citet{Marchesiello2001}. 
+No information other than the total velocity needs to be provided at the open boundaries in that case. In the other two cases (time stplitting or explicit free surface), the user must provides barotropic information (sea surface height and barotropic velocities) and the use of the Flather algorithm for barotropic variables is recommanded. However, this algorithm has not yet been fully tested and bugs remain in NEMO v2.3. Users should read the code carefully before using it. Finally, in the case of the rigid lid approximation the barotropic streamfunction must be provided, as documented in \citet{Treguier2001}). This option is no longer used but remains in NEMO V2.3.
+
+One frequently encountered case is when an open boundary domain is constructed from a global or larger scale NEMO configuration. Assuming the domain corresponds to indices $ib:ie$, $jb:je$ of the global domain, the bathymetry and forcing of the small domain can be created by using the following command on the global files: ncks -F $-d\;x,ib,ie$ $-d\;y,jb,je$. 
+The open boundary files can be constructed using ncks commands, following table~\ref{Tab_obc_ind}. 
+
+%--------------------------------------------------TABLE--------------------------------------------------
+
+\begin{table}[htbp]  \label{Tab_obc_ind}
+\begin{center}
+\begin{tabular}{|l|c|c|c|c|c|}
+\hline
+OBC  & Variable   & file name      & Index  & Start  & end  \\
+West &  T,S       &   obcwest\_TS.nc &  $ib$+1     &   $jb$+1 &  $je-1$  \\
+     &    U       &   obcwest\_U.nc  &  $ib$+1     &   $jb$+1 &  $je-1$  \\ 
+     &    V       &   obcwest\_V.nc  &  $ib$+1     &   $jb$+1 &  $je-1$  \\       
+\hline
+East &  T,S       &   obceast\_TS.nc &  $ie$-1     &   $jb$+1 &  $je-1$  \\
+     &    U       &   obceast\_U.nc  &  $ie$-2     &   $jb$+1 &  $je-1$  \\ 
+     &    V       &   obceast\_V.nc  &  $ie$-1     &   $jb$+1 &  $je-1$  \\       
+\hline         
+South &  T,S      &   obcsouth\_TS.nc &  $jb$+1     &  $ib$+1 &  $ie-1$  \\
+      &    U      &   obcsouth\_U.nc  &  $jb$+1     &  $ib$+1 &  $ie-1$  \\ 
+      &    V      &   obcsouth\_V.nc  &  $jb$+1     &  $ib$+1 &  $ie-1$  \\    
+\hline
+North &  T,S      &   obcnorth\_TS.nc &  $je$-1     &  $ib$+1 &  $ie-1$  \\
+      &    U      &   obcnorth\_U.nc  &  $je$-1     &  $ib$+1 &  $ie-1$  \\ 
+      &    V      &   obcnorth\_V.nc  &  $je$-2     &  $ib$+1 &  $ie-1$  \\  
+\hline
+\end{tabular}
+\end{center}
+\caption{Indications for creating open boundary files from a global configuration, appropriate for the subdomain of indices $ib:ie$, $jb:je$. ``Index'' designates the $i$ or $j$ index along which the $u$ of $v$ boundary point is situated in the global configuration, starting and ending with the $j$ or $i$ indices indicated. For example, to generate file obcnorth\_V.nc, use the command ncks $-F$ $-d\;y,je-2$  $-d\;x,ib+1,ie-1$ } 
+\end{table}
+
+It is assumed that the open boundary files contain the variables for the period of the model integration. If the boundary files contain one time frame, the boundary data is held fixed in time. If the files contain 12 values, it is assumed that the input is a climatology for a repeated annual cycle (corresponding to the case \np{ln\_obc\_clim} = .T.). The case of an arbitrary number of time frames is not yet implemented correctly; the user is supposed to write his own code in the module \mdl{obc\_dta} to deal with this situation. 
+
+\subsection{Radiation algorithm}
+\label{OBC_rad}
+
+The art of open boundary management consists in applying a constraint strong enough so that the inner domain "feels" the rest of the ocean, but not too strong 
+in order to allow perturbations to leave the domain with minimum false reflexions of energy. The cosntraint to the specified boundary data is set by time scales 
+specified separately for each boundary and for ``inflow'' and `outflow'' conditions as defined below. These time scales are set (in days) by namelist parameters such as \np{rdpein}, \np{rdpeob} for the eastern open boundary, for example. When both time scales are zero for a given boundary, for example 
+\jp{lp\_obc\_west}=.T., \np{rdpwob}=0, \np{rdpwin}=0, this means that the boundary in question (western boundary here) is a ``fixed '' boundary where the solution is set exactly by the boundary data. This is not recommanded, excepted in compination with increased viscosity in a ``sponge'' layer next to the boundary in order to avois spurious reflexions.  
+
+
+The radiation\/relaxation algorithm is applied when either relxation time (for ``inflow'' or `outflow'') is nonzero. It has been developed and tested in the SPEM model and its successor ROMS \citep{Barnier1996, Marchesiello2001}, a $s$-coordinate model on an Arakawa C-grid. Although the algorithm has been numerically successful in the CLIPPER Atlantic models, the physics do not work as expected \citep{Treguier2001}. Users are invited to consider open boundary conditions (OBC hereafter) with some skepticism \citep{Durran2001, Blayo2005}.
+
+The first part of the algorithm consists in calculating a phase
+velocity to determine whether perturbations tend to propagate toward,
+or away from, the boundary. 
+Let us consider a model variable $\phi$. 
+The phase velocity ($C_{\phi x}$,$C_{\phi y}$) for the variable 
+$\phi$, in the directions normal and tangential to
+the boundary is
+\begin{equation} \label{Eq_obc_cphi}
+C_{\phi x} = \frac{ -\phi_{t} }{ ( \phi_{x}^{2} + \phi_{y}^{2}) } \phi_{x} 
+\;\;\;\;\; \;\;\; 
+C_{\phi y} = \frac{ -\phi_{t} }{ ( \phi_{x}^{2} + \phi_{y}^{2}) } \phi_{y}. 
+\end{equation}
+Following \citet{Treguier2001} and \citet{Marchesiello2001} retain only the normal
+projection of the total velocity, $C_{\phi x}$, setting
+$C_{\phi y} =0$ (but unlike the original Orlanski radiation algorithm we retain $\phi_{y}$ in the expression
+for $C_{\phi x}$).  
+
+The discrete form of (\ref{Eq_obc_cphi}), described by \citet{Barnier1998},
+takes into account the two rows of grid points situated inside the domain 
+next to the boundary, and the three previous time steps ($n$, $n-1$,
+and $n-2$). 
+The same equation can then be discretized at the boundary at
+time steps $n$ and $n+1$ in order to extrapolate the new boundary
+value $\phi^{n+1}$. 
+
+In the present open boundary algorithm, the new boundary values are 
+updated differently according to the sign of $C_{\phi x}$.
+Let us take an East boundary as an example. The solution for variable $\phi$ at the boundary is given from a generalized wave equation 
+with phase velocity $C_{\phi}$, with the addition of  a relaxation term:
+\begin{eqnarray}
+\phi_{t} &  =  & -C_{\phi x} \phi_{x} + \frac{1}{\tau_{o}} (\phi_{c}-\phi) 
+                        \;\;\; \;\;\; \;\;\; (C_{\phi x} > 0), \label{Eq_obc_rado} \\
+\phi_{t} &  =  & \frac{1}{\tau_{i}} (\phi_{c}-\phi) 
+\;\;\; \;\;\; \;\;\;\;\;\; (C_{\phi x} < 0), \label{Eq_obc_radi}
+\end{eqnarray}
+where $\phi_{c}$ is the estimate of $\phi$ at the boundary, provided as boundary data. 
+Note that in (\ref{Eq_obc_rado}), $C_{\phi x}$
+is bounded by the ratio $\delta x/\delta t$ for stability reasons. 
+When $C_{\phi x}$ is eastward (outward propagation), 
+the radiation condition (\ref{Eq_obc_rado}) is used. 
+When  $C_{\phi x}$ is westward (inward propagation), (\ref{Eq_obc_radi}) is used with
+a strong relaxation to climatology (usually $\tau_{i}=\np{rdpein}=$1~day).
+The time derivative in (\ref{Eq_obc_radi}) is calculated with a Euler time-stepping
+scheme. It results from this choice that setting
+$\tau_{i}$ smaller than, or equal to the time step is in fact equivalent to a fixed boundary condition;
+a time scale of one day is usually a good compromise which guarantees that the inflow conditions remain close to 
+climatology while ensuring numerical stability. 
+
+In  the case of a west boundary located in the Eastern Atlantic, \citet{Penduff2000} have been able to implement the radiation algorithm 
+without any boundary data, using persistence from the previous time step instead. This solution did not work in other cases \citep{Treguier2001} so that the use of boundary data is recommended.  
+Even in the outflow condition (\ref{Eq_obc_rado}), we have found desireable to maintain a weak relaxation to climatology. 
+The time step is usually chosen so as to be larger than typical turbulent scales (of order 1000~days).
+
+The radiation condition is applied to the different model variables: temperature, salinity, tangential and normal velocities. 
+For normal and tangential velocities $u$ and $v$ radiation is applied with phase velocities calculated from $u$ and $v$ respectively. 
+For the radiation of tracers, we use the phase velocity calculated from the tangential velocity, to avoid calculating too many independent 
+radiation velocities and because tangential velocities and tracers have the same position along the boundary on a C grid.  
+
+\subsection{Domain decomposition (\key{mpp\_mpi})}
+\label{OBC_mpp}
+When \key{mpp\_mpi} is active in the code, the computational domain is divided into rectangles that are attributed each to a different processor. The open boundary code is ``mpp-compatible'' up to a certain point. The radiation algorithm will not work if there is a mpp subdomain boundary parallel to the open boundary at the index of the boundary, or the grid point after (outside), or three grid points before (inside). On the other hand, there is no problem if a mpp subdomain boundary cuts the open boundary perpendicularly. Those geometry constraints must be checked by the user (there is no safeguard in the code).  
+The general principle for the open boundary mpp code is that loops over the open boundaries are performed on local indices (nie0, nie1, nje0, nje1 for the eastern boundary for instance) that are initialized in module \mdl{obc\_ini}. Those indices have relevant values on the processors that contain a segment of an open boundary. For processors that do not include an open boundary segment, the indices are such that the calculations within the loops are not performed.
+ 
+Arrays of climatological data that are read in files are seen by all processors and have the same dimensions for all (for instance, for the eastern boundary, uedta(jpjglo,jpk,2)). On the other hand, the arrays for the calculation of radiation are local to each processor (uebnd(jpj,jpk,3,3) for instance).  This allowed to spare memory in the CLIPPER model, where the eastern boundary crossed 8 processors so that \jp{jpj} was must smaller than (\jp{jpjef}-\jp{jpjed}+1). 
+
+\subsection{Volume conservation}
+\label{OBC_vol}
+
+It is necessary to control the volume inside a domain with open boundaries. With fixed boundaries, it is enough to ensure that the total inflow/outflow has reasonable values (either zero or a value compatible with an observed volume balance). When using radiative boundary conditions it is necessary to have a volume constraint because each open boundary works independently from the others. The methodology used to control this volume is identical to the one coded in the ROMS model \citep{Marchesiello2001}.
+
+
+%---------------------------------------- EXTRAS
+\colorbox{yellow}{Explain obc\_vol{\ldots}}
+
+\colorbox{yellow}{OBC algorithm for update, OBC restart, list of routines where obc key appears{\ldots}}
+
+\colorbox{yellow}{OBC rigid lid? {\ldots}}
+
+
+
+
+% ====================================================================
 % Flow Relaxation Scheme 
-% ================================================================
+% ====================================================================
 \section{Flow Relaxation Scheme (???)}
 \label{LBC_bdy}
Index: trunk/DOC/BETA/Chapters/Chap_LDF.tex
===================================================================
--- trunk/DOC/BETA/Chapters/Chap_LDF.tex	(revision 720)
+++ trunk/DOC/BETA/Chapters/Chap_LDF.tex	(revision 781)
@@ -169,5 +169,5 @@
 \item[$z$-coordinate with full step : ] in \eqref{Eq_ldfslp_iso} the densities appearing in the $i$ and $j$ derivatives  are taken at the same depth, thus the $in situ$ density can be used. it is not the case for the vertical derivatives. $\delta_{k+1/2}[\rho]$ is replaced by $-\rho N^2/g$, where $N^2$ is the local Brunt-Vais\"{a}l\"{a} frequency evaluated following \citet{McDougall1987} (see \S\ref{TRA_bn2}). 
 
-\item[$z$-coordinate with partial step : ] the technique is identical to the full step case except that at partial step level, the \emph{horizontal} density gradient is evaluated as described in \S\ref{TRA_zps}.
+\item[$z$-coordinate with partial step : ] the technique is identical to the full step case except that at partial step level, the \emph{horizontal} density gradient is evaluated as described in \S\ref{TRA_zpshde}.
 
 \item[$s$- or hybrid $s$-$z$ coordinate : ] in the current release of \NEMO, there is no specific treatment for iso-neutral mixing in $s$-coordinate. In other word, iso-neutral mixing will only be accurately represented with a linear equation of state (\np{neos}=1 or 2). In the case of a "true" equation of state, the evaluation of $i$ and $j$ derivatives in \eqref{Eq_ldfslp_iso} will include a pressure dependent part, leading to a wrong evaluation of the neutral slopes.
Index: trunk/DOC/BETA/Chapters/Chap_TRA.tex
===================================================================
--- trunk/DOC/BETA/Chapters/Chap_TRA.tex	(revision 720)
+++ trunk/DOC/BETA/Chapters/Chap_TRA.tex	(revision 781)
@@ -304,5 +304,5 @@
 \end{equation}
 or equivalently 
-\begin{equation} \label{Eq_tra_adv_ubs2}
+\begin{equation} \label{Eq_tra_adv_ubs2b}
 u_{i+1/2} \ \tau _u^{ubs} 
 =u_{i+1/2} \ \overline{ T - \frac{1}{6}\,\delta _i\left[ \delta_{i+1/2}[T] \,\right] }^{\,i+1/2}
Index: trunk/DOC/BETA/NEMO_book.tex
===================================================================
--- trunk/DOC/BETA/NEMO_book.tex	(revision 720)
+++ trunk/DOC/BETA/NEMO_book.tex	(revision 781)
@@ -129,7 +129,10 @@
 
 %--------------------------------------------namlist---------------------------------------------------------
-\newcommand{\namdisplay} [1] {	\vspace{-25pt}
-	\begin{alltt}  \textcolor{blue}{{\scriptsize \verbatiminput{./Namelist/#1}}}  \end{alltt}
-									\vspace{-20pt}	}
+%\newcommand{\namdisplay} [1] {	\vspace{-25pt}
+%	\begin{alltt}  \textcolor{blue}{{\scriptsize \verbatiminput{./Namelist/#1}}}  \end{alltt}
+%									\vspace{-20pt}	}
+\newcommand{\namdisplay} [1] { 
+	\begin{alltt}  {{\tiny \verbatiminput{./Namelist/#1}}}  \end{alltt} 
+                               \vspace{-15pt}	}
 %--------------------------------------------------------------------------------------------------------------
 